#!/usr/bin/python3
# coding: utf-8

import os
import json
import sys

# getting the name of the directory
# where the this file is present.
current = os.path.dirname(os.path.realpath(__file__))
 
# Getting the parent directory name
# where the current directory is present.
parent = os.path.dirname(current)
 
# adding the parent directory to 
# the sys.path.
sys.path.append(parent)
sys.path.append(parent + "/src")

from src.agenda_culturel.import_tasks.downloader import *
from src.agenda_culturel.import_tasks.extractor import *
from src.agenda_culturel.import_tasks.importer import *
from src.agenda_culturel.import_tasks.custom_extractors import *





if __name__ == "__main__":

    u2e = URL2Events(SimpleDownloader(), lapucealoreille.CExtractor())
    url = "https://www.lapucealoreille63.fr/agenda"
    url_human = "https://www.lapucealoreille63.fr/agenda"

    try:
        events = u2e.process(url, url_human, cache = "cache-lapucealoreille.xml", default_values = {}, published = True)

        exportfile = "events-lapucealoreille.json"
        print("Saving events to file {}".format(exportfile))
        with open(exportfile, "w") as f:
            json.dump(events, f, indent=4, default=str)
    except Exception as e:
        print("Exception: " + str(e))
